Bug 5830 - when installing nfs-server/directory isn't filled in automatically from pump data
when installing nfs-server/directory isn't filled in automatically from pump ...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-11 10:14 EDT by Jonathan Peatfield
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-17 18:17:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Peatfield 1999-10-11 10:14:00 EDT
Unlike earlier versions of the install code, the bootfile
information (and bootserver) information obtained by pump
isn't passed to fill in the nfs-server/directory fields in
nfsGetSetup() (or rather passed to it from mountNfsImage()
in loader.c).

pump certainly prints the bootFile string, but seems to do
nothing with it.  I'm not sure if the sa is being detected
or not and pump only seems to parse a small set of the
possible dhcp/bootp options...  Perhaps it should use Tag 17
(ROOT_PATH) rather than bootFile but there is more room in
bootFile as that doesn't go in the options space.

Sorry about putting this against pump but I can't find
anaconda (or install) on the component list.

Note You need to log in before you can comment on or make changes to this bug.